Skip to main content
`Ctrl`+`K`

# DMDASetDof

Sets the number of degrees of freedom per vertex

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetDof(DM da, PetscInt dof)

Not Collective

## Input Parameters

- da - The `DMDA`

- dof - Number of degrees of freedom per vertex

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetDof()`, `DMDACreate()`, `DMDestroy()`

## Level

intermediate

## Location

src/dm/impls/da/da.c

## Examples

src/dm/tutorials/ex19.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages